VERSION 5.00
Begin VB.Form dlgSavePrompt 
   Caption         =   "dlgSavePrompt"
   ClientHeight    =   2430
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4455
   LinkTopic       =   "Form1"
   ScaleHeight     =   2430
   ScaleWidth      =   4455
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdYes 
      Caption         =   "cmdYes"
      Height          =   855
      Left            =   2760
      Style           =   1  'Graphical
      TabIndex        =   5
      Top             =   1440
      Width           =   735
   End
   Begin VB.CommandButton cmdNo 
      Caption         =   "cmdNo"
      Height          =   855
      Left            =   3600
      Style           =   1  'Graphical
      TabIndex        =   4
      Top             =   1440
      Width           =   735
   End
   Begin VB.Frame fraLanguage 
      Caption         =   "fraLanguage"
      Height          =   1335
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   4215
      Begin VB.OptionButton optLanguageEnglish 
         Caption         =   "optLanguageEnglish"
         Height          =   255
         Left            =   240
         TabIndex        =   3
         Top             =   240
         Width           =   2055
      End
      Begin VB.OptionButton optLanguageFrench 
         Caption         =   "optLanguageFrench"
         Height          =   255
         Left            =   240
         TabIndex        =   2
         Top             =   600
         Width           =   2055
      End
      Begin VB.OptionButton optLanguageGerman 
         Caption         =   "optLanguageGerman"
         Height          =   255
         Left            =   240
         TabIndex        =   1
         Top             =   960
         Width           =   2055
      End
   End
   Begin VB.Label lblSavePrompt 
      Caption         =   "lblSavePrompt"
      Height          =   855
      Left            =   120
      TabIndex        =   6
      Top             =   1440
      Width           =   2535
   End
End
Attribute VB_Name = "dlgSavePrompt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Languages are offset by 1000.
Private Enum LanguageOffsets
    langEnglish = 0
    langFrench = 1000
    langGerman = 2000
End Enum

' String IDs start at 1.
Private Enum StringIDs
    resCaption = 1
    resYes = 2
    resNo = 3
    resPrompt = 4
    resLanguage = 5
    resLanguageEnglish = 6
    resLanguageFrench = 7
    resLanguageGerman = 8
End Enum

' Picture IDs start at 101.
Private Enum PictureIDs
    respicYes = 101
    respicNo = 102
End Enum

' Load the strings for this language.
Private Sub LoadStrings(ByVal offset As Integer)
    ' Load strings.
    Caption = LoadResString(resCaption + offset)
    cmdYes.Caption = LoadResString(resYes + offset)
    cmdNo.Caption = LoadResString(resNo + offset)
    lblSavePrompt.Caption = LoadResString(resPrompt + offset)
    fraLanguage.Caption = LoadResString(resLanguage + offset)
    optLanguageEnglish.Caption = LoadResString(resLanguageEnglish + offset)
    optLanguageFrench.Caption = LoadResString(resLanguageFrench + offset)
    optLanguageGerman.Caption = LoadResString(resLanguageGerman + offset)

    ' Load images.
    cmdYes.Picture = LoadResPicture(respicYes + offset, vbResBitmap)
    cmdNo.Picture = LoadResPicture(respicNo + offset, vbResBitmap)
End Sub
Private Sub Form_Load()
    optLanguageEnglish.Value = True
End Sub
Private Sub optLanguageEnglish_Click()
    LoadStrings langEnglish
End Sub
Private Sub optLanguageFrench_Click()
    LoadStrings langFrench
End Sub
Private Sub optLanguageGerman_Click()
    LoadStrings langGerman
End Sub


